#!/bin/bash

set -e

up () {
  docker network create pew-net || true

  # Exposed on port 8080 in pew-net  
  docker run \
    --detach \
    --name mapproxy \
    --volume /bigdata/k8s-config/mapproxy/mapproxy.yaml:/mapproxy/mapproxy.yaml:ro \
    --volume /bigdata/k8s-config/mapproxy/seed.yaml:/mapproxy/seed.yaml:ro \
    --volume /bigdata/gis/mapproxy/cache_data:/mapproxy/cache_data:rw \
    --network pew-net \
    docker.io/kartoza/mapproxy:latest
}

down () {
  docker stop mapproxy || true
  docker rm mapproxy || true
}

logs () {
  docker logs --follow mapproxy
}

$@
